org.apache.myfaces.trinidad.component.core.nav

## Class CoreCommandNavigationItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXCommand
        - - org.apache.myfaces.trinidad.component.core.nav.CoreCommandNavigationItem

- All Implemented Interfaces:
    EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, DialogSource

      public class CoreCommandNavigationItem
      extends UIXCommand
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The commandNavigationItem control creates a navigation item representation of a UIXCommand. The item could be rendered as a link, an option, a button, etc. This component is normally used as a stamp for a component that takes a MenuModel or XMLMenuModel object.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `javax.faces.event.ActionEvent` | Invoke Application Apply Request Values | Event delivered when the "action" of the component has been invoked; for example, by clicking on a button. The action may result in page navigation.
  `org.apache.myfaces.trinidad.event.ReturnEvent` | Apply Request Values | Event delivered when the dialog has completed successfully.
  `org.apache.myfaces.trinidad.event.LaunchEvent` | Invoke Application Apply Request Values | Event delivered to prompt the command to launch a dialog.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyKey` | `ACCESS_KEY_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `DESTINATION_KEY`
    `static PropertyKey` | `DISABLED_KEY`
    `static PropertyKey` | `ICON_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_SUBMIT_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `SELECTED_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static PropertyKey` | `TARGET_FRAME_KEY`
    `static PropertyKey` | `TEXT_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `USE_WINDOW_KEY`
    `static PropertyKey` | `VISITED_KEY`
    `static PropertyKey` | `WINDOW_HEIGHT_KEY`
    `static PropertyKey` | `WINDOW_WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXCommand

      `ACTION_EXPRESSION_KEY, ACTION_LISTENER_KEY, IMMEDIATE_KEY, LAUNCH_LISTENER_KEY, RETURN_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreCommandNavigationItem()` Construct an instance of the CoreCommandNavigationItem.
    `protected` | `CoreCommandNavigationItem(String rendererType)` Construct an instance of the CoreCommandNavigationItem.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `char` | `getAccessKey()` Gets Character used to gain quick access to this item.
    `protected FacesBean.Type` | `getBeanType()`
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getDestination()` Gets The URI this component references when activated.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getIcon()` Gets a URI specifying the location of a target image.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `String` | `getTargetFrame()` Gets the target frame for the go component.
    `String` | `getText()` Gets the text of the item.
    `int` | `getWindowHeight()` Gets Height of the window, if this command is used to launch a window.
    `int` | `getWindowWidth()` Gets Width of the window, if this command is used to launch a window.
    `boolean` | `isDisabled()` Gets If value is "true", the component becomes non-interactive.
    `boolean` | `isPartialSubmit()` Gets whether the action should be done through a partial page submit or not.
    `boolean` | `isSelected()` Gets whether the item is selected.
    `boolean` | `isUseWindow()` Gets Indicates whether processes launched by this command should be launched in a secondary dialog window.
    `boolean` | `isVisited()` Gets whether the item is in visited state.
    `void` | `setAccessKey(char accessKey)` Sets Character used to gain quick access to this item.
    `void` | `setDestination(String destination)` Sets The URI this component references when activated.
    `void` | `setDisabled(boolean disabled)` Sets If value is "true", the component becomes non-interactive.
    `void` | `setIcon(String icon)` Sets a URI specifying the location of a target image.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialSubmit(boolean partialSubmit)` Sets whether the action should be done through a partial page submit or not.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setSelected(boolean selected)` Sets whether the item is selected.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setTargetFrame(String targetFrame)` Sets the target frame for the go component.
    `void` | `setText(String text)` Sets the text of the item.
    `void` | `setUseWindow(boolean useWindow)` Sets Indicates whether processes launched by this command should be launched in a secondary dialog window.
    `void` | `setVisited(boolean visited)` Sets whether the item is in visited state.
    `void` | `setWindowHeight(int windowHeight)` Sets Height of the window, if this command is used to launch a window.
    `void` | `setWindowWidth(int windowWidth)` Sets Width of the window, if this command is used to launch a window.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXCommand

      `addActionListener, addLaunchListener, addReturnListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getLaunchListener, getLaunchListeners, getReturnListener, getReturnListeners, isImmediate, queueEvent, removeActionListener, removeLaunchListener, removeReturnListener, setAction, setActionExpression, setActionListener, setImmediate, setLaunchListener, setLaunchListener, setReturnListener, setReturnListener`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### USE_WINDOW_KEY

          public static final PropertyKey USE_WINDOW_KEY

    - #### WINDOW_HEIGHT_KEY

          public static final PropertyKey WINDOW_HEIGHT_KEY

    - #### WINDOW_WIDTH_KEY

          public static final PropertyKey WINDOW_WIDTH_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### ACCESS_KEY_KEY

          public static final PropertyKey ACCESS_KEY_KEY

    - #### DESTINATION_KEY

          public static final PropertyKey DESTINATION_KEY

    - #### DISABLED_KEY

          public static final PropertyKey DISABLED_KEY

    - #### ICON_KEY

          public static final PropertyKey ICON_KEY

    - #### PARTIAL_SUBMIT_KEY

          public static final PropertyKey PARTIAL_SUBMIT_KEY

    - #### SELECTED_KEY

          public static final PropertyKey SELECTED_KEY

    - #### VISITED_KEY

          public static final PropertyKey VISITED_KEY

    - #### TARGET_FRAME_KEY

          public static final PropertyKey TARGET_FRAME_KEY

    - #### TEXT_KEY

          public static final PropertyKey TEXT_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreCommandNavigationItem

          public CoreCommandNavigationItem()

      Construct an instance of the CoreCommandNavigationItem.

    - #### CoreCommandNavigationItem

          protected CoreCommandNavigationItem(String rendererType)

      Construct an instance of the CoreCommandNavigationItem.

  - ### Method Detail

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### isUseWindow

          public final boolean isUseWindow()

      Gets Indicates whether processes launched by this command should be launched in a secondary dialog window. 'useWindow' requires that the "action" attribute start with "dialog:". Set useWindow to 'false' for the outcome of the action to be targeted to the existing window.
      Returns:
        the new useWindow value

    - #### setUseWindow

          public final void setUseWindow(boolean useWindow)

      Sets Indicates whether processes launched by this command should be launched in a secondary dialog window. 'useWindow' requires that the "action" attribute start with "dialog:". Set useWindow to 'false' for the outcome of the action to be targeted to the existing window.
      Parameters:
        `useWindow` - the new useWindow value

    - #### getWindowHeight

          public final int getWindowHeight()

      Gets Height of the window, if this command is used to launch a window.
      Returns:
        the new windowHeight value

    - #### setWindowHeight

          public final void setWindowHeight(int windowHeight)

      Sets Height of the window, if this command is used to launch a window.
      Parameters:
        `windowHeight` - the new windowHeight value

    - #### getWindowWidth

          public final int getWindowWidth()

      Gets Width of the window, if this command is used to launch a window.
      Returns:
        the new windowWidth value

    - #### setWindowWidth

          public final void setWindowWidth(int windowWidth)

      Sets Width of the window, if this command is used to launch a window.
      Parameters:
        `windowWidth` - the new windowWidth value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getAccessKey

          public final char getAccessKey()

      Gets
      Character used to gain quick access to this item. For accessibility reasons, this functionality is not supported in screen reader mode.

      If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys. Note that user agents are inconsistent about dealing with two links having same access key, and so the cycling behavior is dependent on what the user agent provides.

      This attribute is sometimes referred to as the "mnemonic".

      The character specified by this attribute must exist in the `text` attribute of this item instance. If it does not, the user will receive no visual indication of the existence of the accessKey. The easiest, and most convenient way to specify both the text and the mnemonic together is to use textAndAccessKey.

      Returns:
        the new accessKey value

    - #### setAccessKey

          public final void setAccessKey(char accessKey)

      Sets
      Character used to gain quick access to this item. For accessibility reasons, this functionality is not supported in screen reader mode.

      If the same access key appears in multiple locations in the same page of output, the rendering user agent will cycle among the elements accessed by the similar keys. Note that user agents are inconsistent about dealing with two links having same access key, and so the cycling behavior is dependent on what the user agent provides.

      This attribute is sometimes referred to as the "mnemonic".

      The character specified by this attribute must exist in the `text` attribute of this item instance. If it does not, the user will receive no visual indication of the existence of the accessKey. The easiest, and most convenient way to specify both the text and the mnemonic together is to use textAndAccessKey.

      Parameters:
        `accessKey` - the new accessKey value

    - #### getDestination

          public final String getDestination()

      Gets The URI this component references when activated. This is an alternative to using an action.
      Returns:
        the new destination value

    - #### setDestination

          public final void setDestination(String destination)

      Sets The URI this component references when activated. This is an alternative to using an action.
      Parameters:
        `destination` - the new destination value

    - #### isDisabled

          public final boolean isDisabled()

      Gets If value is "true", the component becomes non-interactive. Otherwise,the default value is "false" and component assumes its expected behavior.
      Returns:
        the new disabled value

    - #### setDisabled

          public final void setDisabled(boolean disabled)

      Sets If value is "true", the component becomes non-interactive. Otherwise,the default value is "false" and component assumes its expected behavior.
      Parameters:
        `disabled` - the new disabled value

    - #### getIcon

          public final String getIcon()

      Gets a URI specifying the location of a target image.
      Returns:
        the new icon value

    - #### setIcon

          public final void setIcon(String icon)

      Sets a URI specifying the location of a target image.
      Parameters:
        `icon` - the new icon value

    - #### isPartialSubmit

          public final boolean isPartialSubmit()

      Gets whether the action should be done through a partial page submit or not. Default is false: no partial page submit.
      Returns:
        the new partialSubmit value

    - #### setPartialSubmit

          public final void setPartialSubmit(boolean partialSubmit)

      Sets whether the action should be done through a partial page submit or not. Default is false: no partial page submit.
      Parameters:
        `partialSubmit` - the new partialSubmit value

    - #### isSelected

          public final boolean isSelected()

      Gets whether the item is selected.
      Returns:
        the new selected value

    - #### setSelected

          public final void setSelected(boolean selected)

      Sets whether the item is selected.
      Parameters:
        `selected` - the new selected value

    - #### isVisited

          public final boolean isVisited()

      Gets whether the item is in visited state. Depending on the renderer the item may appear in a visited style, if true. This property is currently used only within the a train component.
      Returns:
        the new visited value

    - #### setVisited

          public final void setVisited(boolean visited)

      Sets whether the item is in visited state. Depending on the renderer the item may appear in a visited style, if true. This property is currently used only within the a train component.
      Parameters:
        `visited` - the new visited value

    - #### getTargetFrame

          public final String getTargetFrame()

      Gets the target frame for the go component.
      Returns:
        the new targetFrame value

    - #### setTargetFrame

          public final void setTargetFrame(String targetFrame)

      Sets the target frame for the go component.
      Parameters:
        `targetFrame` - the new targetFrame value

    - #### getText

          public final String getText()

      Gets the text of the item.
      Returns:
        the new text value

    - #### setText

          public final void setText(String text)

      Sets the text of the item.
      Parameters:
        `text` - the new text value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXCommand`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXCommand`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.